Index: trunk/autoquest-androidmonitor/src/main/java/de/ugoe/cs/autoquest/androidmonitor/AndroidMonitor.java
===================================================================
--- trunk/autoquest-androidmonitor/src/main/java/de/ugoe/cs/autoquest/androidmonitor/AndroidMonitor.java	(revision 1842)
+++ trunk/autoquest-androidmonitor/src/main/java/de/ugoe/cs/autoquest/androidmonitor/AndroidMonitor.java	(revision 1871)
@@ -62,5 +62,4 @@
         return monitor;
     }
-   
 
     /**
@@ -70,28 +69,30 @@
      */
     public void startMonitor(Activity activity) {
-        //create logFile only once
-        if(AndroidMonitor.logFile == null){
+        // create logFile only once.
+        if (AndroidMonitor.logFile == null) {
             AndroidMonitor.logFile = new AndroidMonitorLogFile(activity);
             Log.i("logfile", "file created");
         }
-        activityName = activity.getClass().getSimpleName();  
+        activityName = activity.getClass().getSimpleName();
         addLogListenerToView(getRootView(activity));
-        
-
-        // TODO
-        // listen to changes and update own listener
-
-        // write backPresss as event to xml file
-        // activity.onBackPressed();
-
-        // handle onStop() method of the activity
-        // add a function that end up tracking if onStop() is given otherwise
-        // create onStop()
-        // http://developer.android.com/training/basics/activity-lifecycle/stopping.html
-    }
-    public void startMonitor(View view){
+
+        /*
+         * TODO listen to changes and update own listener. - Listen to known elements is implemented
+         * and trigger startMonitot(View).
+         */
+        /*
+         * TODO write backPresss as event to xml file activity.onBackPressed();
+         */
+        /*
+         * TODO handle onStop() method of the activity add a function that end up tracking if
+         * onStop() is given otherwise. Maybe: create onStop()
+         * http://developer.android.com/training/basics/activity-lifecycle/stopping.html
+         */
+    }
+
+    public void startMonitor(View view) {
         addLogListenerToView(findFirstView(view));
     }
-    
+
     /**
      * Get the root view of an activity.
@@ -149,4 +150,6 @@
         if (!AndroidMonitorLogFile.isComponentLogged(view.hashCode())) {
             AndroidMonitor.logFile.addComponent(view, parentHash, activityName);
+
+            Log.i("object type", "");
 
             // save original listener to add it later on to the groupLisatener
@@ -215,6 +218,6 @@
      * @return the listener of the view or null if no listener exists
      */
+    // source: http://stackoverflow.com/questions/11186960/getonclicklistener-in-android-views
     private View.OnClickListener getOnClickListener(View view) {
-        // http://stackoverflow.com/questions/11186960/getonclicklistener-in-android-views
         if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.ICE_CREAM_SANDWICH) {
             return getOnClickListenerV14(view);
@@ -226,4 +229,5 @@
 
     // Used for APIs lower than ICS (API 14)
+    // source: http://stackoverflow.com/questions/11186960/getonclicklistener-in-android-views
     private View.OnClickListener getOnClickListenerV(View view) {
         View.OnClickListener retrievedListener = null;
@@ -250,4 +254,5 @@
     // Used for new ListenerInfo class structure used beginning with API 14
     // (ICS)
+    // source: http://stackoverflow.com/questions/11186960/getonclicklistener-in-android-views
     private View.OnClickListener getOnClickListenerV14(View view) {
         View.OnClickListener retrievedListener = null;
@@ -283,6 +288,4 @@
     }
 
-    
-    
     /**
      * 
@@ -290,10 +293,9 @@
      * Return the AndroidMonitorLogFile that is used in the AndroidMonitor.
      * </p>
-     *
-     * @return AndroidMonitorLogFile 
-     *          that is used in the AndroidMonitor.
-     */
-    public AndroidMonitorLogFile getLogFile(){
-        return logFile;        
+     * 
+     * @return AndroidMonitorLogFile that is used in the AndroidMonitor.
+     */
+    public AndroidMonitorLogFile getLogFile() {
+        return logFile;
     }
 }
